summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 14:28:22 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:22 +0200
commita4ae8d60d257e3bb72f537dabfee93c307d35361 (patch)
tree0f133e634a7eb94cb38674b82f9525bb22b9c0e7 /games
parent52e3c57d7b8bab2b469106cd9d360b0dad626b95 (diff)
downloadslackbuilds-a4ae8d60d257e3bb72f537dabfee93c307d35361.tar.gz
slackbuilds-a4ae8d60d257e3bb72f537dabfee93c307d35361.tar.xz
games/pengupop: Initial import
Diffstat (limited to 'games')
-rw-r--r--games/pengupop/README6
-rw-r--r--games/pengupop/doinst.sh3
-rw-r--r--games/pengupop/pengupop.SlackBuild87
-rw-r--r--games/pengupop/pengupop.info8
-rw-r--r--games/pengupop/slack-desc11
5 files changed, 115 insertions, 0 deletions
diff --git a/games/pengupop/README b/games/pengupop/README
new file mode 100644
index 0000000000..a770541563
--- /dev/null
+++ b/games/pengupop/README
@@ -0,0 +1,6 @@
+Finally a networked multiplayer game in the vein
+of the puzzle classic Bust a Move/Puzzle Bobble!
+Beat your friends in this addictive game, or play
+against a random opponent! Remember to sign up to
+participate in the score system.
+
diff --git a/games/pengupop/doinst.sh b/games/pengupop/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/games/pengupop/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/pengupop/pengupop.SlackBuild b/games/pengupop/pengupop.SlackBuild
new file mode 100644
index 0000000000..fe946decca
--- /dev/null
+++ b/games/pengupop/pengupop.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for Pengupop
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+PRGNAM=pengupop
+VERSION=2.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a $PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cp -a $PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Fix path to icon in desktop file:
+sed -i 's#^Icon=\(.\+\)$#Icon=/usr/share/pixmaps/\1#' \
+ $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/pengupop/pengupop.info b/games/pengupop/pengupop.info
new file mode 100644
index 0000000000..cbe23736c9
--- /dev/null
+++ b/games/pengupop/pengupop.info
@@ -0,0 +1,8 @@
+PRGNAM="pengupop"
+VERSION="2.2.4"
+HOMEPAGE="http://www.junoplay.com/pengupop"
+DOWNLOAD="http://www.junoplay.com/files/pengupop-latest.tar.gz"
+MD5SUM="31cb21f9b9f0cc92076a0361b4fea09b"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="elohim"
diff --git a/games/pengupop/slack-desc b/games/pengupop/slack-desc
new file mode 100644
index 0000000000..8f77a2a2fb
--- /dev/null
+++ b/games/pengupop/slack-desc
@@ -0,0 +1,11 @@
+pengupop: Pengupop (Puzzle Bobble Clone)
+pengupop:
+pengupop: Finally a networked multiplayer game in the vein
+pengupop: of the puzzle classic Bust a Move/Puzzle Bobble!
+pengupop: Beat your friends in this addictive game, or play
+pengupop: against a random opponent! Remember to sign up to
+pengupop: participate in the score system.
+pengupop:
+pengupop: Homepage: http://www.junoplay.com/pengupop
+pengupop:
+pengupop: